/***
 * extra.c -- (C) 2000 Fatih Demir [ kabalak@gmx.net ]
***/
#include "extra.h"

void gtk_btmaker_version()
{
	g_print("\n");
	g_print(_("gtk_btmaker -- version %s\n"),VERSION);
	g_print(_("A Gtk+ bashish theme-making app by Fatih Demir <kabalak@gmx.net>\n\n"));
	exit(1);
}

void gtk_btmaker_help()
{
	g_print("\n");
	g_print(_("gtk_btmaker -- version %s\n\n"),VERSION);
	g_print(_("Options : \n\n"));
	g_print(_("%s -- %-64s"),"-v --version",_("Shows version informations"));
	g_print("\n");
	g_print(_("%s -- %-64s\n"),"-h --help",_("Shows this help"));
	g_print(_("%s -- %-64s\n"),"-V --verbose",_("Lets gtk_btmaker work more verbosely"));
	g_print("\n");
	exit(1);
}

void gtk_btmaker_error()
{
	if(error_on_da_screen==FALSE)
	{
		GtkWidget *error_msg,*error_ok;
		error_dialog=gtk_dialog_new();
		error_ok=gtk_button_new_with_label(_("Ok"));
		error_msg=gtk_label_new(_("You need to give every necessary parameter .\n\
The Super* paramaters for root's options can be taken from the normal ones .\n\
Have a look at your input, please .\n"));
		gtk_container_add(GTK_CONTAINER(GTK_DIALOG(error_dialog)->action_area),error_ok);
		gtk_container_add(GTK_CONTAINER(GTK_DIALOG(error_dialog)->vbox),error_msg);
		gtk_signal_connect(GTK_OBJECT(error_ok),"clicked",
			GTK_SIGNAL_FUNC(gtk_btmaker_error_hide),NULL);
		gtk_window_set_modal(GTK_WINDOW(error_dialog),TRUE);
		gtk_window_set_title(GTK_WINDOW(error_dialog),_("gtk_btmaker found an error !"));
		gtk_widget_show_all(error_dialog);
		error_on_da_screen=TRUE;
	}
}

void gtk_btmaker_error_hide(GtkWidget *widget,gpointer useless)
{
	gtk_widget_hide(error_dialog);
}

void save_as(GtkWidget *widget,gpointer useless)
{
	fs=gtk_file_selection_new(_("gtk_btmaker -- save the theme as"));
	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(fs)->cancel_button),
		"clicked",GTK_SIGNAL_FUNC(save_as_hide),NULL);
	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(fs)->ok_button),
		"clicked",GTK_SIGNAL_FUNC(write_diff),NULL);
	gtk_widget_show(fs);
}

void save_as_hide(GtkWidget *widget,gpointer useless)
{
	gtk_widget_hide(fs);
}

void write_diff(GtkWidget *widget,gpointer useless)
{
	gchar *filename;
	filename=gtk_file_selection_get_filename(GTK_FILE_SELECTION(fs));
	gtk_widget_hide(fs);
	if(filename)
	{
		check_and_do_it(filename);
	}
	else
	{
		check_and_do_it(filename);
	}
}
