/***
 * gtk_btmaker.h -- (C) 2000 Fatih Demir [ kabalak@gmx.net ]
***/
#include <glib.h>
#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <locale.h>
#include <libintl.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/stat.h>
#define _(s) gettext(s)
#define N_(s) (s)

/***
 * The widgets for the main-theme-building window
***/
GtkWidget *da_nb,*da_nb_pages_notebook;
GtkWidget *da_nb_pages_table,*da_nb_pages_table_2;
GtkWidget *da_nb_pages_table_2_label,*da_nb_pages_table_label;
GtkWidget *author,*email,*website,*comments,*name,*version;
GtkWidget *author_l,*email_l,*website_l,*comments_l,*name_l,*version_l;

/***
 * The widgets for the theme-specs notebook ...
***/
GtkWidget *title,*supertitle,*icon,*supericon,*prompt,*superprompt,*termhello;
GtkWidget *title_l,*supertitle_l,*icon_l,*supericon_l,*prompt_l,*superprompt_l,*termhello_l;

/***
 * More widgets for the modules-selection notebook ...
***/
GtkWidget *color,*number_base,*number_extra,*number_hex;
GtkWidget *da_nb_pages_table_3,*da_nb_pages_table_3_label;

/***
 * Gbooleans for the togglebuttons above
***/
gboolean color_yes,number_base_yes,number_extra_yes,number_hex_yes;

/***
 * Your login name as the default theme name
***/
gchar *login_name;

/***
 * Simply a testing value
***/
gint val_true;

/***
 * The last dialog
***/
GtkWidget *cad_window,*do_button;

/***
 * Stupido chars ..
***/
gchar *theme_name,*theme_version;
gchar *theme_author,*theme_email,*theme_website,*theme_comments;
gchar *theme_title,*theme_supertitle,*theme_icon,*theme_supericon,*theme_termhello;
gchar *theme_prompt,*theme_superprompt;

/***
 * The FILE stream for the theme & some other nice variables ...
***/
static gchar *outfile_name;
static gint gtk_bt_verbose;
FILE *th;

/***
 * The final dialog which says to you "Well made " .
***/
GtkWidget *fdi,*fdi_label,*fdi_ok;

/***
 * For the error_dialog ..
***/
GtkWidget *error_dialog;

/***
 * The global functions ..
***/
void da_nb_pages();
void check_and_do_it(gchar *ar);
void check_and_do(GtkWidget *widget,gpointer useless);
void final();
void gtk_btmaker_error();
void gtk_btmaker_error_hide(GtkWidget *widget,gpointer useless);
