/***
 * menu.c -- (C) 2000 Fatih Demir [ kabalak@gmx.net ]
***/
#include "menu.h"

GtkWidget *menubar,*filemenu,*helpmenu,*file,*help;
GtkWidget *openfile,*savefile,*savefileas,*separator,*exitapp;
GtkWidget *about_gtk_btmaker;

void build_main_window()
{
	win=gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(win),"gtk_btmaker");
	gtk_window_set_wmclass(GTK_WINDOW(win),"gtk_btmaker","gtk_btmaker");
	vbox=gtk_vbox_new(FALSE,0);
	gtk_container_add(GTK_CONTAINER(win),vbox);
	filemenu=gtk_menu_new();
		savefile=gtk_menu_item_new_with_label(_("Save theme "));
		gtk_menu_append(GTK_MENU(filemenu),savefile);
		savefileas=gtk_menu_item_new_with_label(_("Save theme as ..."));
		gtk_menu_append(GTK_MENU(filemenu),savefileas);
		separator=gtk_menu_item_new();
		gtk_menu_append(GTK_MENU(filemenu),separator);
		exitapp=gtk_menu_item_new_with_label(_("Exit"));
		gtk_menu_append(GTK_MENU(filemenu),exitapp);
		gtk_widget_show(savefile);
		gtk_widget_show(savefileas);
		gtk_widget_show(separator);
		gtk_widget_show(exitapp);
	helpmenu=gtk_menu_new();
		about_gtk_btmaker=gtk_menu_item_new_with_label(_("About gtk_btmaker"));
		gtk_menu_append(GTK_MENU(helpmenu),about_gtk_btmaker);
		gtk_widget_show(about_gtk_btmaker);
	menubar=gtk_menu_bar_new();
	file=gtk_menu_item_new_with_label(_("File"));
		gtk_menu_item_set_submenu(GTK_MENU_ITEM(file),filemenu);	
		gtk_widget_show(file);
	help=gtk_menu_item_new_with_label(_("Help"));
		gtk_menu_item_right_justify(GTK_MENU_ITEM(help));
		gtk_menu_item_set_submenu(GTK_MENU_ITEM(help),helpmenu);
		gtk_widget_show(help);
	gtk_box_pack_start(GTK_BOX(vbox),menubar,FALSE,FALSE,2);
	da_nb_pages();
	gtk_box_pack_end(GTK_BOX(vbox),da_nb_pages_notebook,TRUE,TRUE,2);
	gtk_widget_show(vbox);
	gtk_widget_show(menubar);
	gtk_widget_show(da_nb_pages_notebook);
	gtk_menu_bar_append(GTK_MENU_BAR(menubar),file);
	gtk_menu_bar_append(GTK_MENU_BAR(menubar),help);
	gtk_signal_connect(GTK_OBJECT(win),"delete-event",
		GTK_SIGNAL_FUNC(gtk_main_quit),NULL);
	gtk_signal_connect(GTK_OBJECT(about_gtk_btmaker),"activate",
		GTK_SIGNAL_FUNC(about_box),NULL);
	gtk_signal_connect(GTK_OBJECT(exitapp),"activate",
		GTK_SIGNAL_FUNC(gtk_main_quit),NULL);
	gtk_signal_connect(GTK_OBJECT(savefile),"activate",
		GTK_SIGNAL_FUNC(check_and_do),NULL);
	gtk_signal_connect(GTK_OBJECT(savefileas),"activate",
		GTK_SIGNAL_FUNC(save_as),NULL);
	gtk_widget_show_all(win);
}
